# Class Rdr.StreamReader

java.lang.Object
java.io.Reader
java.io.BufferedReader
javajs.util.Rdr.StreamReader

All Implemented Interfaces:
  `Closeable, AutoCloseable, Readable`

Enclosing class:
  `Rdr`

public static class Rdr.StreamReader extends BufferedReader

## Field Summary

### Fields inherited from class Reader

`lock`

## Constructor Summary

Constructors
Constructor
Description
`StreamReader(BufferedInputStream bis, String charSet)`

## Method Summary

Modifier and Type
Method
Description
`BufferedInputStream`
`getStream()`

### Methods inherited from class BufferedReader

`close, lines, mark, markSupported, read, read, readLine, ready, reset, skip`

### Methods inherited from class Reader

`nullReader, of, read, read, readAllAsString, readAllLines, transferTo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamReader

public StreamReader(BufferedInputStream bis, String charSet) throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`

## Method Details

### getStream

public BufferedInputStream getStream()